Release: 1%{?distro_release:.%{distro_release}}
Version: 2.2
Name: camlimages
Summary: CamlImages image processing library for Objective Caml
Source: ftp://ftp.inria.fr/INRIA/Projects/cristal/caml-light/bazar-ocaml/camlimages-%{version}.tgz
Group: Development/Libraries
URL: http://pauillac.inria.fr/camlimages/
License: LGPL
Provides: camlimages
Prefix: /usr
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
BuildRequires: ocaml, XFree86-devel, ghostscript, lablgl, lablgtk2
BuildRequires: freetype-devel, libungif-devel, libpng-devel, libjpeg-devel, libtiff-devel, xpm-devel
Requires: ghostscript

%description 
CamlImages is an image processing library, which provides

  * Basic functions for image processing and loading/saving various image
    file formats (hence providing a translation facility from format to format),
  * An interface with the Caml graphics library allows to display images in the
    Graphics module screen and to mix them with Caml drawings,
  * A freetype interface, integrated into the library: you can draw texts into
    images using any truetype fonts. 

In addition, the library can handle huge images that cannot be (or can hardly
be) stored into the main memory (the library then automatically creates swap
files and escapes them to reduce the memory usage). 

%prep

%setup

%build
%configure
make all opt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ocaml/stublibs $RPM_BUILD_ROOT/%{_bindir}
make\
   BINDIR=$RPM_BUILD_ROOT/%{_bindir}\
   CAMLDIR=$RPM_BUILD_ROOT/%{_libdir}/ocaml\
   LIBDIR=$RPM_BUILD_ROOT/%{_libdir}/ocaml/%{name}\
   install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES Announce Announce-2.2 INSTALL LICENSE README
%{_libdir}/ocaml/camlimages

%changelog

* Thu Jan 27 2005 Aleksey Nogin <rpm@nogin.org>
- Updated to 2.2.0
- Added BuildRoot support

* Tue Apr 06 2004 <Pierre.Weis@inria.fr>

- Packaged in a rpm. Here is the modus operandi:
  cd /usr/src/redhat/SPECS/
  cp camlimages.spec ./
  rpm -ba --clean camlimages.spec
